# Katabatic - Routing Toolbox

List of all members | Public Member Functions
AutoSegments_IsAccountable Class Reference

Filter to select accoutable AutoSegment. More...

Inheritance diagram for AutoSegments_IsAccountable:
[legend]

## Public Member Functions
virtual AutoSegmentHF * | getClone () const
virtual bool | accept (AutoSegment *) const

## Detailed Description

Filter to select accoutable AutoSegment.

A Filter to select accoutable AutoSegment. An AutoSegment is said to be accountable if it is canonical (in the sense of an aligned set).

## Member Function Documentation

## ◆ getClone()

AutoSegmentHF * getClone | ( |  | ) | const
| virtual

Returns: A deep copy of the Collection.

Implements Filter< Type >.

## ◆ accept()

bool accept | ( | AutoSegment * | segment | ) | const
| virtual

Returns: true if the `segment` is accountable (i.e. canonical).

The documentation for this class was generated from the following files:

- AutoSegments.h
- AutoSegments.dox

Generated by doxygen 1.8.14 on Mon Feb 3 2020 | Return to top of page

Katabatic - Routing Toolbox | Copyright © 2008-2016 UPMC. All rights reserved